[![pipeline status](https://git.coop/aptivate/internal-tools/aptivate-cli/badges/master/pipeline.svg)](https://git.coop/aptivate/internal-tools/aptivate-cli/commits/master)
[![coverage report](https://git.coop/aptivate/internal-tools/aptivate-cli/badges/master/coverage.svg)](https://git.coop/aptivate/internal-tools/aptivate-cli/commits/master)
[![PyPI version](https://badge.fury.io/py/aptivate-cli.svg)](https://badge.fury.io/py/aptivate-cli)

# aptivate-cli

Fully automated luxury Aptivate command line interface.

## Configure Your Environment

The tool relies on variables to do some things automatically.

Place these in your shell configuration once and you're done.

```bash
APTIVATE_CLI_MYSQL=foobar
APTIVATE_CLI_SUDO=barfoor
APTIVATE_PASSWORD_STORE_DIR="$HOME/aptivate/password-store/"
```

## Install It

To avoid OS specific issues with installing Python 3.7, you can use a
combination of [pyenv] and [pipsi] to get the latest Python and install the
package all in isolated locations.

You'll need to:

  * [Install Pyenv] (with [pyenv-installer] it is simple).
  * [Install Pipsi].

[Install Pyenv]: https://github.com/pyenv/pyenv#basic-github-checkout
[pyenv-installer]: https://github.com/pyenv/pyenv-installer
[Install Pipsi]: lttps://github.com/mitsuhiko/pipsi#how-do-i-get-it

Then, install the Python version and the tool within it's own environment.

```bash
$ pyenv install 3.7.0
$ pipsi install --python $(pyenv which python3.7) aptivate-cli
```

You should be ready to rip. Test things out with:

```bash
$ apc --help
```

## Supported Features

  * Only Django deployments.
  * Only Django new style project structures.

## The Tao of aptivate-cli

> Writing Less Code Is Good.
>
> Writing No Code Is Even Better.

## Hack On It

You'll have to install [pipenv] and [pyenv]. Then run:

[pipenv]: https://github.com/pypa/pipenv#installation
[pyenv]: https://github.com/pyenv/pyenv

```bash
$ git clone git@git.coop:aptivate/aptivate-cli.git
$ cd aptivate-cli
$ pipenv install --dev --python 3.7
```

Then install the package locally:

```bash
$ pipenv run pip install --editable .
$ pipenv run aptivate-cli --help  # start hacking
```

## Release It

```bash
$ make test-publish  # assure things are right first
$ make publish       # run the real thing
```
